<template>
  <div class="col-sm-12 col-md-12 auth-bg-left ps-4">
    <div class="h-100 ps-5">
      <div class="logo-container p-4">
        <img src="@/assets/img/logo.png" alt="Main Logo" style="height: 50px" />
      </div>
      <div class="form-container mt-4 p-4">
        <div class="row">
          <div class="col-sm-12 col-md-6">
            <div class="form-head d-flex align-items-center">
              <div class="">
                <h2 class="fw-bold">Open an Account</h2>
              </div>
            </div>
            <div class="progress my-4" style="height: 3px">
              <div
                class="progress-bar bg-primary"
                role="progressbar"
                style="width: 45%"
              ></div>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-sm-12 col-md-6">
            <div class="form-meta mb-3">
              <h4 class="fw-bold">Password</h4>
              <p>Create your easy to remember password</p>
            </div>
          </div>
        </div>
        <form @submit.prevent="submitForm()">
          <div class="row">
            <div class="col-sm-12 col-md-6">
              <div class="form-group">
                <div class="form-input mb-3">
                  <input
                    type="text"
                    class="form-control"
                    id="formPassword"
                    placeholder="Password"
                    v-model="form.password"
                    v-validate="'required'"
                    name="Password"
                  />
                  <!-- <div v-show="errors.has('Password')" class="invalid-feedback">
                    {{ errors.first('Password') }}
                  </div> -->
                </div>
              </div>
              <div class="form-group">
                <div class="form-input mb-3">
                  <input
                    type="text"
                    class="form-control"
                    id="formConfirmPassword"
                    placeholder="Confirm Password"
                    v-model="form.confirmPassword"
                    v-validate="'required'"
                    name="Confirm Password"
                  />
                  <div
                    v-show="errors.has('Confirm Password')"
                    class="invalid-feedback"
                  >
                    {{ errors.first('Confirm Password') }}
                  </div>
                </div>
              </div>
              <div class="form-group mt-5">
                <div class="form-meta mb-3">
                  <h4 class="fw-bold">Transactional PIN</h4>
                  <p>
                    Create a 4-digit PIN that will be used to authenticate all
                    your transactions
                  </p>
                </div>
                <div class="row">
                  <div class="col-2" v-for="i in 4" :key="i">
                    <div class="form-input mb-3">
                      <input
                        type="password"
                        class="form-control text-center"
                        maxlength="1"
                        id="formPin"
                        placeholder="*"
                        v-model="form.pin1"
                        v-validate="'required'"
                        name="[in]"
                      />
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-sm-12 col-md-6"></div>
            <div class="col-sm-12 col-md-6">
              <div class="mt-4">
                <div>
                  <button
                    class="btn btn-primary w-100 fw-bold rounded-pill py-1"
                    type="button"
                    :disabled="form.loading"
                  >
                    <img
                      v-if="form.loading"
                      src="~@/assets/loading/loading.svg"
                      class="mr-2"
                    />
                    <span v-else> Next </span>
                  </button>
                </div>
              </div>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  layout: 'open-account-layout',
  data: () => ({
    form: {
      loading: false,
    },
  }),
  methods: {
    submitForm() {
      console.log(this.form)
      this.$validator.validateAll().then((result) => {
        if (result) {
          // eslint-disable-next-line
          this.form.loading = true
          const data = {
            ...this.form,
          }
          this.$axios
            .post('auth/customers/login', data)
            .then(({ data }) => {
              console.log(data)
              this.form.loading = false
              this.$store.commit('auth/SET_DATA', data.data)
              this.$store.commit('auth/SET_TOKEN', data.token)
              this.$store.commit('SET_TOKEN', data.token)
              window.location = '/user/dashboard/overview'
              // this.$router.push("/dashboard");
              // return
            })
            .catch((error) => {
              console.log(error)
              this.form.loading = false
              this.form.loading = false
              if (
                error.response.status === 404 ||
                error.response.status === 401 ||
                error.response.status === 403 ||
                error.response.status === 406
              ) {
                this.$notify({
                  message: error.response.data.error.message,
                  multiLine: true,
                  type: 'error',
                })
              }
            })
        }
      })
    },
  },
}
</script>

<style lang="scss">
@import '~@/assets/scss/index';
@import '~@/assets/scss/variables';
</style>
